- Home
- Resources
- File admin API
HDC WS for converting drawing files
GET /admin/file
Returns original files for given state
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| limit |
query |
- file entries limit per request |
|
long |
| offset |
query |
- offset of file entries |
|
long |
| state |
query |
- file state |
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
- list of files |
GET /admin/notecontent
Returns original note files for given state
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| limit |
query |
- file entries limit per request |
|
long |
| offset |
query |
- offset of file entries |
|
long |
| state |
query |
- file state |
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
- list of files |
GET /admin/file/convertondemand
Tiles single image on demand
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
query |
- file identifier |
|
long |
| paramsOnly |
query |
- flag indicating process raster parameters mode |
|
boolean |
| versionId |
query |
- version identifier |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
POST /admin/file/convertondemand
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| paramsOnly |
query |
|
|
boolean |
Request Body
| media type |
data type |
| application/json |
array of HdcFileId
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /admin/notecontent/convertondemand
Tiles single image on demand
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
query |
- file identifier |
|
long |
POST /admin/notecontent/convertondemand
Try it out!
Request Body
| media type |
data type |
| application/json |
array of HdcFileId
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /admin/file/convert/{state}
Tiles all files with given state.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| state |
path |
- file state. Recommended states for this operation: UPLOADED, UNCONVERTIBLE,
IN_QUEUE, CONVERTING |
|
|
| paramsOnly |
query |
|
|
boolean |
Response Body
| media type |
data type |
description |
| application/json |
HdcLazyTilingStateTO
(JSON) |
- long running process description |
GET /admin/notecontent/convert/{state}
Tiles all files with given state.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| state |
path |
- file state. Recommended states for this operation: UPLOADED, UNCONVERTIBLE, IN_QUEUE, CONVERTING |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcLazyTilingStateTO
(JSON) |
- long running process description |